<?php
/**
 * Page template.
 *
 * @template page
 * @description Basic page template.
 * @package HivePress\Templates
 */

namespace HivePress\Templates;

use HivePress\Helpers as hp;

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/**
 * Page template class.
 *
 * @class Page
 */
class Page extends Template {

	/**
	 * Template name.
	 *
	 * @var string
	 */
	protected static $name;

	/**
	 * Template blocks.
	 *
	 * @var array
	 */
	protected static $blocks = [];

	/**
	 * Class initializer.
	 *
	 * @param array $args Template arguments.
	 */
	public static function init( $args = [] ) {
		$args = hp\merge_trees(
			[
				'blocks' => [
					'page_container' => [
						'type'   => 'page',
						'order'  => 10,

						'blocks' => [],
					],
				],
			],
			$args,
			'blocks'
		);

		parent::init( $args );
	}
}
